# dotnet_parser.py

**Path:** `src/thedoc/parsers/dotnet_parser.py`

## Classes

### DotNetParser

Parser for .NET documentation comments.

---

## Methods

### DotNetParser.__init__

Initialize the parser.

```python
__init__(self, root_path)
```

---

### DotNetParser.get_file_extensions

Get .NET file extensions.

```python
get_file_extensions(self)
```

---

### DotNetParser.parse_file

Parse a .NET source file and extract documentation.

```python
parse_file(self, file_path)
```

**Parameters:**

* `file_path`: Path to the source file

---

### DotNetParser._parse_file_to_dict

Parse a .NET source file and extract documentation as a dictionary.

```python
_parse_file_to_dict(self, file_path)
```

**Parameters:**

* `file_path`: Path to the source file

---

### DotNetParser._convert_triple_slash_to_xml

Convert triple slash comments to XML format.

```python
_convert_triple_slash_to_xml(self, content)
```

**Parameters:**

* `content`: The source file content

---

### DotNetParser._parse_class

Parse a class documentation element.

```python
_parse_class(self, element)
```

**Parameters:**

* `element`: The XML element containing class documentation

---

### DotNetParser._parse_method

Parse a method documentation element.

```python
_parse_method(self, element)
```

**Parameters:**

* `element`: The XML element containing method documentation

---

### DotNetParser._parse_property

Parse a property documentation element.

```python
_parse_property(self, element)
```

---

### DotNetParser._parse_enum

Parse an enum documentation element.

```python
_parse_enum(self, element)
```

---

### DotNetParser._parse_interface

Parse an interface documentation element.

```python
_parse_interface(self, element)
```

---

### DotNetParser._parse_type

Parse a type documentation element.

```python
_parse_type(self, element)
```

---

### DotNetParser._get_summary_text

Get the summary text from an element.

```python
_get_summary_text(self, element)
```

---

## Modules

### dotnet_parser

Parser for .NET documentation comments.

---

