# kotlin_parser.py

**Path:** `src/thedoc/parsers/kotlin_parser.py`

## Classes

### KotlinParser

Parser for Kotlin documentation comments.

---

## Methods

### KotlinParser.__init__

Initialize the parser.

```python
__init__(self, root_path)
```

---

### KotlinParser.get_file_extensions

Get Kotlin file extensions.

```python
get_file_extensions(self)
```

---

### KotlinParser.parse_file

Parse a Kotlin source file and extract documentation.

```python
parse_file(self, file_path)
```

**Parameters:**

* `file_path`: Path to the source file

---

### KotlinParser._parse_file_to_dict

Parse a Kotlin source file and extract documentation as a dictionary.

```python
_parse_file_to_dict(self, file_path)
```

**Parameters:**

* `file_path`: Path to the source file

---

### KotlinParser._parse_doc_block

Parse a KDoc comment block.

```python
_parse_doc_block(self, doc_text)
```

**Parameters:**

* `doc_text`: The documentation text

---

### KotlinParser._detect_code_element

Detect the type of code element and its name.

```python
_detect_code_element(self, code_line)
```

**Parameters:**

* `code_line`: The code line following the documentation

---

## Modules

### kotlin_parser

Parser for Kotlin documentation comments.

---

