# test_dotnet_parser.py

**Path:** `tests/test_dotnet_parser.py`

## Functions

### parser

Create a parser instance.

```python
parser()
```

---

### sample_cs_file

Create a sample C# file for testing.

```python
sample_cs_file(tmp_path)
```

---

### test_parse_file

Test parsing a C# file with documentation comments.

```python
test_parse_file(parser, sample_cs_file)
```

---

### test_parse_file_with_invalid_xml

Test parsing a file with invalid XML documentation.

```python
test_parse_file_with_invalid_xml(parser, tmp_path)
```

---

### test_parse_file_with_no_documentation

Test parsing a file with no documentation.

```python
test_parse_file_with_no_documentation(parser, tmp_path)
```

---

### test_parse_comprehensive_sample

Test parsing the comprehensive sample.cs file in the tests/dotnet directory.

```python
test_parse_comprehensive_sample(parser)
```

---

## Modules

### test_dotnet_parser

Tests for the .NET parser.

---

